Skip to main content
PUT
https://{tenantDomain}/api/v2
/
connections
/
{id}
/
directory-provisioning
/
synchronized-groups
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Connections;
using System.Collections.Generic;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Connections.DirectoryProvisioning.SetAsync(
            id: "id",
            request: new ReplaceSynchronizedGroupsRequestContent {
                Groups = new List<SynchronizedGroupPayload>(){
                    new SynchronizedGroupPayload {
                        Id = "id"
                    },
                }

            }
        );
    }

}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The id of the connection to create or replace synchronized groups for

Body

groups
object[]
required

Array of Google Workspace Directory group objects to synchronize.

Response

No Content